FROM registry.access.redhat.com/ubi8/openjdk-17


LABEL org.label-schema.build-date=$BUILD_DATE \
      org.opencontainers.image.usage="Clojure App" \
      org.opencontainers.image.authors="konrad.heimel@gmail.com"

USER root

RUN mkdir -p /usr/src/app/tmp
WORKDIR /usr/src/app

RUN rm -rf /var/cache/yum && microdnf install shadow-utils &&  \
    mkdir -p /app && groupadd -g 32100 app && useradd -u 32100 -s /bin/false -d /app -g app app && chown app:app /app && \
    microdnf remove shadow-utils && \
    rm -rf /var/cache/yum

COPY build/ /usr/src/app/tmp

ARG JAR_FILE_NAME

RUN echo $JAR_FILE_NAME && cp /usr/src/app/tmp/$JAR_FILE_NAME /usr/src/app/app-standalone.jar && chmod a+rx /usr/src/app/app-standalone.jar && rm -rf /usr/src/app/tmp

USER app
CMD ["java", "-jar", "app-standalone.jar"]